Description

The PDF output is very useful for providing information to outside stakeholders without requiring access to Redmine itself.  This is

very useful for progress reports and meetings.  However, there is no way to output a set of issues with full details.  Currently you only

get the summary list, which just shows the Subject etc., or an individual PDF for an individual issue's full comment history.

This patch provides an additional 'Full PDF' option to the main issues summary page, which will output the issue summaries,

followed by the detail for each of the issues selected.

This will obey current filters and only show what has been selected.

In order to implement this, some of the PDF export code was reorganized a bit to allow better re-use of the individual issue output

functionality.  Also, a new function was added to dispatch to the actual pdf generation function, depending on whether a normal

summary or a full output was selected.

Related issues:

Related to Redmine - Feature #6280: Multi-issue PDF export New 2010-09-03

History

#1 - 2012-05-11 10:52 - Cj Cagape

snipped by moderator

#2 - 2012-05-11 10:53 - Cj Cagape

snipped by moderator

#3 - 2012-05-12 10:01 - Terence Mill

THis is a nice ehancement adding desription field to pdf oouput table, but it is far not a complete ouput of all issue details.

A complete ouput is disussed here also: #6280

#4 - 2012-05-14 05:59 - Carl Nygard

What exactly is missing in issue details?  Perhaps you should file a separate bug.  This patch only reorganizes the existing code that generates the

summary view and the individual issue view so that each can be called in turn for a collection of issues.  This patch is not meant to change the

information displayed in the PDF view, just to be able to output multiple individual issues into one PDF.

As well, I believe this patch would allow plugins to modify the individual output routines to provide different information, while maintaining the basic

functionality for collecting and outputting a collection of issues.

#5 - 2012-05-22 15:52 - Guido Heymann

+1

#6 - 2012-06-27 13:18 - Peter sørensen

- File footerError.png added

- File footer.png added

when using this patch, to export many issues to 1 pdf, it seems the content of the issues dont get cut of when reaching the footer area of the page,

but instead overlay the content and the footer, Note this ofcouse only happens when there is enough info under a issue to require more than one

page.
footerError.png 

this does not happen when using the pdf export for a single issue
#7 - 2012-06-29 12:56 - Peter sørensen

- File redmine_context_pdf.zip added

using Vitaly Klimov's Context menu watchers plugin, as inspiration I made a small plugin for 1.4, that uses this patch to add a pdf export option to the

context menu, so that you can select individual issue out from the filter result and get a report made out from only those issue that is of interests.

if only 1 issue is select it calls the same exporter as is used on the Issue page, meaning that the summary is not included

Btw anyone have any idea to fix the bug I reported about this patch a few days ago?.

#8 - 2012-07-09 13:27 - Peter sørensen

- File pdf-patch-fix.rb added

found a fix for the margin problem by inserting

+    breakMargin = pdf.GetBreakMargin

        issues_to_pdf_header(pdf, title, issues, project, query)

        issues_to_pdf_content(pdf, title, issues, project, query)

 +   pdf.SetAutoPageBreak(true, breakMargin)

 as the problem was caused, by deactivating the autopagebreak when the index pages are being written, which at the same time at the margin for

autobreak to zero

#9 - 2012-07-11 02:28 - Joe Ersinghaus

Will this patch/fix work for > 1.4.1?

How about the 2.x line?

#10 - 2012-09-27 11:21 - Peter sørensen

uploaded this to github, along with the font i use when exporting pdf's

https://github.com/zelder1231/redmine_context_menu_pdf

#11 - 2012-09-29 04:21 - ysbranddoug andeson

- Assignee set to Anonymous

#12 - 2012-10-01 09:58 - Etienne Massip

- Assignee deleted (Anonymous)

#13 - 2012-10-03 21:21 - theylory aifseng

- Assignee set to Jonas De Meulenaere

#79 - 2014-10-25 18:28 - Fred B

Exactly what I need. This should be available in Redmine by default.

Can someone explain me how to install this on Redmine 2.4.3.

#80 - 2014-11-23 14:24 - Toshi MARUYAMA

- Assignee deleted (Jonas De Meulenaere)

#81 - 2015-10-08 23:31 - Marcel Müller

Any chance this will be added to the redmine codebase? Looks like this is a really good option to have!

#82 - 2016-01-29 21:56 - Andreas Planegger

With every new version I hope that this feature is implemented.

It would be worth a noteable donation.

Files

FullPDF.pdf 327 KB 2012-05-10 Carl Nygard

FullPDF.PNG 8.49 KB 2012-05-10 Carl Nygard
redmine-1.4.1-fullpdf.patch 5.42 KB 2012-05-10 Carl Nygard

footerError.png 19.7 KB 2012-06-27 Peter sørensen

footer.png 31.8 KB 2012-06-27 Peter sørensen

redmine_context_pdf.zip 10.5 KB 2012-06-29 Peter sørensen

pdf-patch-fix.rb 28 KB 2012-07-09 Peter sørensen
